package cn.freemud.enums;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.5.1
 * @Title: DeliverStatus
 * @Package cn.freemud.enums
 * @Description: 简单描述下这个类是做什么用的
 * @author: hang.chai
 * @date: 2018/12/17 19:23
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum DeliverStatus {

    OTHER(-2,"未处理"),
    WATINGORDER(0,"待接单"),
    SYSTEMGETORDER(1,"系统接单"),
    ALLOTRIDER(2,"分配骑手"),
    RIDERARRIVESTORE(3,"骑手到店"),
    RIDERDELIVERY(42,"骑手取餐中"),
    RIDERSTARTDELIVERY(5,"开始配送"),
    DELIVERYARRIVED(6,"运单送达"),
    DELIVERYERROR(7,"运单异常"),
    DELIVERYCANCEL(8,"运单取消");

    private Integer code;
    private String desc;

    DeliverStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
